#
# spec file for package dbus-1-mono (Version 0.63)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel giflib glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libgdiplus libjpeg libltdl libmudflap41 libnscd libpng libstdc++41 libtiff libtool libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp module-init-tools mono-core mono-data mono-devel mono-web mono-winforms ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXrender zlib zlib-devel


Name:           dbus-1-mono
BuildRequires:  dbus-1-devel mono-devel pkgconfig
Url:            http://dbus.freedesktop.org/
License:        Other uncritical OpenSource License
Group:          Development/Libraries/Other
Version:        0.63
Release:        29
AutoReqProv:    on
Summary:        Mono Bindings for D-Bus
Source0:        dbus-sharp-%{version}.tar.gz
Patch0:         dbus-mono-dont-build-examples-thoenig-01.patch
Patch1:         dbus-mono-libdir-thoenig-01.patch
Patch2:         dbus-mono-exit-on-disconnect-thoenig-01.patch
Patch3:         dbus-mono-api-fix-thoenig-01.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       dbus-1 >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)

%description
Mono bindings for D-Bus.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%debug_package
%prep
%setup -n dbus-sharp-%{version} -q
%patch0
%patch1
%patch2
%patch3
autoreconf -fi

%build
export CFLAGS="${RPM_OPT_FLAGS} -fstack-protector -fno-strict-aliasing -fPIC"
./configure								\
    --prefix=%{_prefix}							\
    --exec_prefix=%{_exec_prefix}					\
    --sysconfdir=%{_sysconfdir}						\
    --datadir=%{_datadir}						\
    --localstatedir=%{_localstatedir}					\
    --libdir=%{_libdir}							\
    --mandir=%{_mandir}
make

%install
make DESTDIR=%{buildroot} install
# all the files live in /usr/lib, just this file has a wrong path
perl -pi -e "s|/usr/lib64|/usr/lib|" $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/dbus-sharp.pc

%post
%{run_ldconfig}

%postun
%{run_ldconfig}

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-, root, root)
%dir %{_prefix}/lib/mono/gac/dbus-sharp
%{_libdir}/pkgconfig/dbus-sharp.pc
%{_prefix}/lib/mono/gac/dbus-sharp/*
%dir %{_prefix}/lib/mono/dbus-sharp
%{_prefix}/lib/mono/dbus-sharp/*

%changelog
* Mon Nov 06 2006 - thoenig@suse.de
- loosen dependency to D-Bus
* Thu Aug 17 2006 - thoenig@suse.de
- Add patch dbus-mono-exit-on-disconnect-thoenig-01.patch: Add
  support for dbus_connection_set_exit_on_disconnect.
- Add patch dbus-mono-api-fix-thoenig-01.patch: Do not wrap
  depreciated function dbus_connection_disconnect.  Use
  dbus_connection_close instead.
* Wed Aug 16 2006 - thoenig@suse.de
- Add patch dbus-mono-libdir-thoenig-01.patch:  Install Mono
  bindings in /usr/lib -- not /usr/lib64 -- on 64bit
  architectures, too.
* Wed Aug 02 2006 - thoenig@suse.de
- new upstream version 0.63
* Wed Aug 02 2006 - thoenig@suse.de
- split out binings to sparate spec files
